Bug 486325 - Wrong mtu value comes default and freezes ssh sessions
Wrong mtu value comes default and freezes ssh sessions
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-02-19 07:03 EST by Orkan Dere
Modified: 2010-12-05 02:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-05 02:00:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orkan Dere 2009-02-19 07:03:01 EST
Description of problem:
Default mtu value is set to 1412 and cannot be configured.

Version-Release number of selected component (if applicable):
I'm running NetworkManager-vpnc-0.7.0-1.svn13.fc10.i386 but all systems has this bug

How reproducible:
Easy enoguh

Steps to Reproduce:
1. connect to vpn
2. sudo ifconfig tun0 mtu 1412
3. connect a system via ssh
Actual results:
Ssh session freezes

Expected results:
Nothing should happen

Additional info:
Following workaround can be used with Network Manager Dispatcher script:
Comment 1 Dan Williams 2009-02-19 12:23:34 EST
What's the MTU on the device that the VPN is using?  vpnc requires only a few bytes of overhead (8) and thus it should really be using the MTU of the default device - the overhead.
Comment 2 Orkan Dere 2009-02-20 02:16:12 EST
MTU should be 1390. This dispatcher script solved the issue on Fedora 10 but not on Fedora 9.


if [ "$2" = "vpn-up" ]; then
	sleep 3
	/sbin/ifconfig "$1" mtu 1390
Comment 3 Jessica Sterling 2009-03-10 12:57:20 EDT
This bug has been triaged.

Fedora Bugzappers volunteer triage team
Comment 4 Bug Zapper 2009-06-09 07:30:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 5 Pierre Ossman 2010-01-14 07:17:48 EST
I'm suffering from this as well.

Dan, isn't the 8 bytes scenario the best-case one? What about when doing NAT tunnelling? (which I am)

I found some thread claiming that Ciscos own client uses 1300 for MTU.
Comment 7 Bug Zapper 2010-11-04 07:29:43 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2010-12-05 02:00:34 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.